## sensor-dht11 2.0.0

=== debian/changelog ===
sensor-dht11 (2.0.0) stable; urgency=medium

  * Rewritten in C for reduced dependencies and faster startup
  * Removed Python runtime dependency
  * Native GPIO access via /dev/gpiomem
  * Same JSON output format as Python version
  * Added internal/external location filter arguments
  * Added bash completions

 -- Ed Baker <ed@ebaker.me.uk>  Fri, 23 Jan 2026 12:00:00 +0000
