=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	$(MAKE)

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/sensor-dht11 PREFIX=/usr install

override_dh_auto_clean:
	$(MAKE) clean
