=== debian/changelog ===
sensor-dht11 (2.0.1) stable; urgency=medium

  * Refactor to use libwildlifesystems shared library
  * Add setup, enable, mock commands for consistent CLI
  * Update man page with all commands

 -- Ed Baker <ed@ebaker.me.uk>  Tue, 27 Jan 2026 12:00:00 +0000
