=== debian/control ===
Source: sensor-dht11
Section: contrib/misc
Priority: optional
Maintainer: Ed Baker <ed@ebaker.me.uk>
Build-Depends: debhelper-compat (= 13), libgpiod-dev, libwildlifesystems-dev
Standards-Version: 4.5.1
Homepage: https://github.com/Wildlife-Systems/sensor-dht11

Package: sensor-dht11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, sensor-control
Suggests: bash-completion
Description: Read DHT11 sensor (C version)
 Lightweight C implementation for reading DHT11 temperature and humidity
 sensors on Raspberry Pi. Outputs data in JSON format compatible with
 WildlifeSystems sensor framework.
 .
 This replaces the Python version with a native binary that has minimal
 dependencies and faster startup time.
