=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,6 @@
 
 override_dh_auto_clean:
 	$(MAKE) clean
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
