## sensor-dht11 2.0.2

=== debian/changelog ===
sensor-dht11 (2.0.2) stable; urgency=medium

  * Rebuild against libwildlifesystems 1.1.1

 -- Ed Baker <ed@ebaker.me.uk>  Tue, 27 Jan 2026 14:00:00 +0000
